# Configuring the Knowledge Navigator Include/Exclude Settings

The Include/Exclude settings allow you to specify which types of content the **Knowledge Navigator** should index. This helps you control the scope of the content that your chatbot can reference. Follow these steps to configure these options:

![Knowledge Navigator Include/Exclude Settings](knowledge-navigator-include-exclude-settings.png)

1. **Include Published Posts**:
   - **Description**: This setting determines whether the **Knowledge Navigator** should include published blog posts in its indexing process.
   - **Options**: `Yes` or `No`.
   - **Selection**: Choose `Yes` to include published posts or `No` to exclude them.

2. **Include Published Pages**:
   - **Description**: This setting determines whether the **Knowledge Navigator** should include published pages in its indexing process.
   - **Options**: `Yes` or `No`.
   - **Selection**: Choose `Yes` to include published pages or `No` to exclude them.

3. **Include Published Products**:
   - **Description**: This setting determines whether the **Knowledge Navigator** should include published products (typically for e-commerce sites) in its indexing process.
   - **Options**: `Yes` or `No`.
   - **Selection**: Choose `Yes` to include published products or `No` to exclude them.

4. **Include Approved Comments**:
   - **Description**: This setting determines whether the **Knowledge Navigator** should include approved comments in its indexing process.
   - **Options**: `Yes` or `No`.
   - **Selection**: Choose `Yes` to include approved comments or `No` to exclude them.

## Steps to Configure

1. Navigate to the Knowledge Navigator Include/Exclude Settings section of the Kognetiks Chatbot plugin in your WordPress dashboard.

2. Set the `Include Published Posts` option to `Yes` or `No` depending on whether you want blog posts to be indexed.

3. Set the `Include Published Pages` option to `Yes` or `No` depending on whether you want pages to be indexed.

4. Set the `Include Published Products` option to `Yes` or `No` depending on whether you want product pages to be indexed.

5. Set the `Include Approved Comments` option to `Yes` or `No` depending on whether you want comments to be indexed.

6. Click 'Save Settings' to apply your changes.

## Tips

- **Content Relevance**: Include only the content types that are relevant to your chatbot’s purpose. For instance, if your chatbot primarily provides customer support, you might include products and approved comments but exclude blog posts.

- **Performance Considerations**: Excluding less relevant content can improve indexing performance and reduce the load on your server.

- **Updating Settings**: Revisit these settings periodically, especially if your content strategy changes, to ensure the chatbot indexes the most relevant information.

By configuring these settings, you ensure that your Kognetiks Chatbot indexes only the content that is most pertinent to its function, improving the relevance and accuracy of the information it provides to users.

---

- **[Back to the Overview](/overview.md)**
