# Overview

**Kognetiks Chatbot** is a plugin that allows you to effortlessly integrate OpenAI’s ChatGPT API into your website, providing a powerful, AI-driven chatbot for enhanced user experience and personalized support.

Conversational AI platforms - like those from OpenAI, NVIDIA and others - use natural language processing and machine learning algorithms to interact with users in a human-like manner. They are designed to answer questions, provide suggestions, and engage in conversations with users. This is important because it can provide assistance and support to people who need it, especially in situations where human support is not available or is limited. It can also be used to automate customer service, reduce response times, and improve customer satisfaction. Moreover, these platforms can be used in various fields such as healthcare, education, finance, and many more.

The **Kognetiks Chatbot** plugin is powered by OpenAI, NVIDIA, and other AI vendors, via their APIs and Models to bring artificial intelligence to life within your WordPress website.

**Important Note:** This plugin requires an API key from OpenAI, NVIDIA, or other AI Platform vendor to function correctly. You can obtain an API key by signing up at https://platform.openai.com/account/api-keys or https://build.nvidia.com/nim.

## Sections

- [Official Sites](official-sites.md)

- [Getting Started](getting-started.md)

- [Chatbots and Assistants](chatbots-and-assistants.md)

- [Conversation Logging and History](conversation-logging-and-history.md)

- [API Key Safety and Security](api-key-safety-and-security.md)

- [Diagnostics](diagnostics.md)

---

- **[Back to the Overview](/overview.md)**
